{{log "character-sheet.hbs this-->" this}}

<form class="{{cssClass}}" autocomplete="off">
    <div class="character">
        <header class="sheet-header character">
            <img class="profile-img" style="" src="{{actor.img}}" data-edit="img" data-tooltip="{{actor.name}}" />
            <input style="height:100%; flex-grow: 3; font-size:1.5em; margin:1px;" name="name" type="text"
                value="{{actor.name}}" placeholder="Name" />

            <div class="flexrow help-character-sheet" style="height: 60px; max-width: 30px;">
                <a class="content-link" data-link=""
                    style="border:none;margin-left: auto;margin-bottom: auto; flex-basis: 15px;flex-grow:0;"
                    draggable="true" data-uuid={{config.HELP.actor.character.uuid}}
                    data-id={{config.HELP.actor.character.id}} data-type={{config.HELP.actor.character.type}}
                    data-pack={{config.HELP.actor.character.pack}} data-tooltip="Documentation: Character Sheet"><i
                        class="{{config.HELP.actor.character.icon}} "></i></a>
                {{#if game.user.isGM}}
                    <a style="margin-left: auto;margin-right:auto;margin-top: auto;flex-basis: 15px;flex-grow:0;"><i
                            data-tooltip="Clone Character to NPC" class="clone-covert-actor fa-solid fa-dna"></i></a>
                {{/if}}

            </div>
        </header>
        <div class="general-header">{{ localize 'ARS.combat' }}</div>
        {{> "systems/ars/templates/actor/parts/combat-stats-block.hbs"}}

        <nav class="sheet-tabs" data-group="primary">
            <div class="tabs flexrow">

                <a class="item tab-item" data-tab="main" data-tooltip="{{ localize 'ARS.tabs.main' }}">
                    <i class="fas fa-dice-d20"></i>
                </a>

                <a class="item tab-item" data-tab="combat" data-tooltip="{{ localize 'ARS.tabs.combat' }}">
                    <i class="fas fa-swords"></i>
                </a>

                {{#if actor.hasSpellSlots}}
                <a class="item tab-item" data-tab="spells" data-tooltip="{{ localize 'ARS.tabs.spells' }}">
                    <i class="fas fa-book-reader"></i>
                </a>
                {{/if}}

                {{!-- #psionic --}}
                {{#if (and @root.actor.isPsionic @root.game.ars.config.settings.usePsionics)}}
                <a class="item tab-item" data-tab="psionics" data-tooltip="{{ localize 'ARS.tabs.psionics' }}">
                    <i class="fas fa-head-side-brain"></i>
                </a>
                {{/if}}

                <a class="item tab-item" data-tab="effects" data-tooltip="{{ localize 'ARS.tabs.effects' }}">
                    <i class="fas fa-bolt"></i>
                </a>

                <a class="item tab-item" data-tab="items" data-tooltip="{{ localize 'ARS.tabs.items' }}">
                    <i class="fas fa-treasure-chest"></i>
                </a>

                <a class="item tab-item" data-tab="proficiencies"
                    data-tooltip="{{ localize 'ARS.tabs.proficiencies' }}">
                    <i class="fas fa-fist-raised"></i>
                </a>

                <a class="item tab-item" data-tab="details" data-tooltip="{{ localize 'ARS.tabs.details' }}">
                    <i class="fas fa-cog"></i>
                </a>

                <a class="item tab-item" data-tab="description" data-tooltip="{{ localize 'ARS.tabs.description' }}">
                    <i class="fas fa-feather"></i>
                </a>
            </div>
        </nav>

        <section class="sheet-body">

            {{!-- Main Tab --}}
            <div class="tab main" data-group="primary" data-tab="main">
                {{> "systems/ars/templates/actor/tabs/character-sheet-tab-main.hbs" }}
            </div>
            {{!-- end main tab --}}

            {{!-- Combat Tab --}}
            <div class="tab combat" data-group="primary" data-tab="combat">
                {{> "systems/ars/templates/actor/tabs/tab-combat.hbs" tab="combat"}}
            </div>
            {{!-- end combat tab --}}


            {{!-- spell slots tab --}}
            {{#if actor.hasSpellSlots}}
                <div class="tab spells" data-group="primary" data-tab="spells">
                    {{> "systems/ars/templates/actor/tabs/tab-spells.hbs" tab="spells"}}
                </div>
            {{/if}}

            {{!-- psionics tab --}}
            {{#if actor.isPsionic}}
            <div class="tab psionics info-helper-enabled" data-group="primary" data-tab="psionics" data-info-type="power">
                {{> "systems/ars/templates/actor/tabs/tab-psionics.hbs" tab="psionics"}}
            </div>
            {{/if}}

            {{!-- effects --}}
            <div class="tab effects info-helper-enabled" data-group="primary" data-tab="effects" data-info-type="effect">
                <div class="general-header ars_clps{{#if (getViewState @root.actor.id "effects")}} ars_clps_on{{/if}}"
                    data-vs-control="effects">{{ localize 'ARS.effects' }}</div>
                <div class="ars_clps_container" style="margin-bottom: 5px;">
                    {{> "systems/ars/templates/effects/parts/active-effects.hbs"}}
                </div>
            </div>

            {{!-- Gear/Owned Items Tab --}}
            <div class="tab items" data-group="primary" data-tab="items">
                <div class="gear-block">
                    {{> "systems/ars/templates/actor/parts/currency-block.hbs" tab="proficiencies"}}
                    <div style="margin-bottom: 3px;">
                        {{> "systems/ars/templates/actor/parts/daily-consume.hbs" tab="proficiencies"}}
                    </div>
                    {{> "systems/ars/templates/actor/parts/inventoryList-Sorted-block.hbs" tab="proficiencies"}}
                </div>
            </div>

            {{!-- Proficiencies Tab --}}
            <div class="tab proficiencies" data-group="primary" data-tab="proficiencies">
                <div class="proficiencies-block info-helper-enabled" data-info-type="item">
                    {{> "systems/ars/templates/actor/parts/itemsByTypeList-block.hbs" tab="proficiencies" itemsByTypeList=config.academicTypes}}
                </div>
                <div class="skill-block info-helper-enabled" data-info-type="skill">
                    {{> "systems/ars/templates/actor/parts/skills-block.hbs" tab="proficiencies"}}
                </div>
            </div>

            {{!-- details Tab --}}
            <div class="tab details" data-group="primary" data-tab="details">
                <div class="race-background-block info-helper-enabled" data-info-type="item">
                    {{> "systems/ars/templates/actor/parts/itemsByTypeList-block.hbs" tab="details" itemsByTypeList=config.detailsItemTypes}}
                </div>

                {{> "systems/ars/templates/actor/parts/classlist-block.hbs"}}

                {{> "systems/ars/templates/actor/parts/character-general-block.hbs"}}

            </div>
            {{!-- end details Tab --}}

            {{!-- Description/Notes Tab--}}
            <div class="tab description" data-group="primary" data-tab="description">
                <div class="general-header">{{ localize 'ARS.characterdescription' }}</div>
                <div class="desc-block flexrow">
                    <label class="desc-label">{{ localize 'ARS.age' }}</label>
                    <input class="desc-value" type="text" name="system.details.age" value="{{system.details.age}}" />
                    <label class="desc-label">{{ localize 'ARS.sex' }}</label>
                    <input class="desc-value" type="text" name="system.details.sex" value="{{system.details.sex}}" />
                    <label class="desc-label">{{ localize 'ARS.deity' }}</label>
                    <input class="desc-value" name="system.details.deity" type="text"
                        value="{{system.details.deity}}" />
                </div>

                <div class="desc-block flexrow">
                    <label class="desc-label">{{ localize 'ARS.height' }}</label>
                    <input class="desc-value" type="text" name="system.details.height"
                        value="{{system.details.height}}" />
                    <label class="desc-label">{{ localize 'ARS.weight' }}</label>
                    <input class="desc-value" type="text" name="system.details.weight"
                        value="{{system.details.weight}}" />
                    <label class="desc-label">{{ localize 'ARS.patron' }}</label>
                    <input class="desc-value" name="system.details.patron" type="text"
                        value="{{system.details.patron}}" />
                </div>

                {{!-- <fieldset>
                        <legend>{{ localize 'ARS.notes' }}</legend> --}}
                <div class="general-header">{{ localize 'ARS.notes' }}</div>
                {{> "systems/ars/templates/actor/parts/description.hbs"}}

                {{!-- </fieldset> --}}
                {{!-- </fieldset> --}}
            </div>

        </section>
    </div>
</form>